]> git.sur5r.net Git - openldap/commitdiff
Sync with HEAD
authorKurt Zeilenga <kurt@openldap.org>
Thu, 29 Sep 2005 23:31:32 +0000 (23:31 +0000)
committerKurt Zeilenga <kurt@openldap.org>
Thu, 29 Sep 2005 23:31:32 +0000 (23:31 +0000)
17 files changed:
tests/run.in
tests/scripts/sql-test000-read
tests/scripts/sql-test001-concurrency
tests/scripts/sql-test900-write
tests/scripts/sql-test901-syncrepl
tests/scripts/test007-replication
tests/scripts/test009-referral
tests/scripts/test010-passwd
tests/scripts/test016-subref
tests/scripts/test019-syncreplication-cascade
tests/scripts/test021-certificate
tests/scripts/test022-ppolicy
tests/scripts/test025-limits
tests/scripts/test031-component-filter
tests/scripts/test034-translucent
tests/scripts/test036-meta-concurrency
tests/scripts/test041-aci

index 766fc1f561338cd3195a14f94eba8346d445dc70..949cae538234ba9a7567a3101975375da4c67f64 100644 (file)
@@ -55,25 +55,12 @@ export AC_pcache AC_ppolicy AC_refint AC_retcode AC_rwm AC_unique AC_syncprov
 export AC_translucent AC_WITH_SASL AC_WITH_TLS AC_WITH_MODULES_ENABLED AC_ACI_ENABLED
 export AC_valsort
 
-# need defines.sh for the definitions of the directories
-. $SRCDIR/scripts/defines.sh
-
 if test ! -x ../servers/slapd/slapd ; then
        echo "Could not locate slapd(8)"
        exit 1
 fi
 
-if test $AC_bdb != no ; then
-       BACKEND=bdb
-elif test $AC_ldbm != no ; then
-       BACKEND=ldbm
-elif test $AC_hdb != no ; then
-       BACKEND=hdb
-else
-       echo "Not configured with a suitable database backend"
-       exit 1
-fi
-
+BACKEND=
 CLEAN=no
 WAIT=0
 KILLSERVERS=yes
@@ -119,6 +106,18 @@ while test $# -gt 0 ; do
        esac
 done
 
+if test -z "$BACKEND" ; then
+       for b in bdb ldbm hdb ; do
+               if eval "test \"\$AC_$b\" != no" ; then
+                       BACKEND=$b
+                       break
+               fi
+       done
+       if test -z "$BACKEND" ; then
+               echo "No suitable default database backend configured" >&2
+               exit 1
+       fi
+fi
 BACKENDTYPE=`eval 'echo $AC_'$BACKEND`
 if test "x$BACKENDTYPE" = "x" ; then
        BACKENDTYPE="unknown"
@@ -129,6 +128,9 @@ if test $# = 0 ; then
        echo "$USAGE"; exit 1
 fi
 
+# need defines.sh for the definitions of the directories
+. $SRCDIR/scripts/defines.sh
+
 SCRIPTDIR="${SRCDIR}/scripts"
 SCRIPTNAME="$1"
 shift
index c7d14b5334082ed10cade68889bc3d99f525dd03..4bad573eb486b4ff8382254788cb60d19a478d57 100755 (executable)
@@ -74,7 +74,7 @@ RC=$?
 if test $RC = 0 ; then
        echo "ldapwhoami should have failed ($RC)!"
        test $KILLSERVERS != no && kill -HUP $KILLPIDS
-       exit $RC
+       exit 1
 fi
 
 echo "Testing baseobject search..."
@@ -427,7 +427,7 @@ case $RC in
        ;;
 *)     echo "failed ($RC)!"
        test $KILLSERVERS != no && kill -HUP $KILLPIDS
-       exit $RC
+       exit 1
        ;;
 esac
 
@@ -446,7 +446,7 @@ case $RC in
        ;;
 *)     echo "failed ($RC)!"
        test $KILLSERVERS != no && kill -HUP $KILLPIDS
-       exit $RC
+       exit 1
        ;;
 esac
 
@@ -484,7 +484,7 @@ case $RC in
        ;;
 *)     echo "failed ($RC)!"
        test $KILLSERVERS != no && kill -HUP $KILLPIDS
-       exit $RC
+       exit 1
        ;;
 esac
 
@@ -494,7 +494,7 @@ echo "Filtering original ldif..."
 . $LDIFFILTER < $SQLREAD > $LDIFFLT
 echo "Comparing filter output..."
 $CMP $SEARCHFLT $LDIFFLT > $CMPOUT
-       
+
 if test $? != 0 ; then
        echo "comparison failed - SQL search didn't succeed"
        test $KILLSERVERS != no && kill -HUP $KILLPIDS
index fe4da240a7e6eef0a8eb63065debf1ca1ced887c..2bb0d73fc8fc1c91c62ee8fab1edd44f53dc63cc 100755 (executable)
@@ -27,7 +27,7 @@ if test $RDBMS = "rdbmsno" ; then
 fi
 
 SQLDATADIR=$TESTDIR/sql-concurrency
-mkdir -p $SQLDATADIR
+mkdir -p $TESTDIR $SQLDATADIR
 
 echo "Starting slapd on TCP/IP port $PORT1..."
 . $CONFFILTER $BACKEND $MONITORDB < $SQLCONF > $CONF1
index dd0020eca82e2e9fdff8132398dd207ee300918b..dec22129f8f230460bcd75b562f7966dccc41b18 100755 (executable)
@@ -348,7 +348,7 @@ EOMODS
        if test $RC = 0 ; then
                echo "ldapmodify should have failed ($RC)!"
                test $KILLSERVERS != no && kill -HUP $KILLPIDS
-               exit $RC
+               exit 1
        fi
 
        echo "Modifying a referral (should fail)..."
@@ -367,7 +367,7 @@ EOMODS
        if test $RC = 0 ; then
                echo "ldapmodify should have failed ($RC)!"
                test $KILLSERVERS != no && kill -HUP $KILLPIDS
-               exit $RC
+               exit 1
        fi
 
        echo "Renaming a referral (should fail)..."
@@ -385,7 +385,7 @@ EOMODS
        if test $RC = 0 ; then
                echo "ldapmodify should have failed ($RC)!"
                test $KILLSERVERS != no && kill -HUP $KILLPIDS
-               exit $RC
+               exit 1
        fi
 
        echo "Deleting a referral (should fail)..."
@@ -401,7 +401,7 @@ EOMODS
        if test $RC = 0 ; then
                echo "ldapmodify should have failed ($RC)!"
                test $KILLSERVERS != no && kill -HUP $KILLPIDS
-               exit $RC
+               exit 1
        fi
 
        echo "Adding a referral..."
@@ -571,4 +571,3 @@ test $KILLSERVERS != no && kill -HUP $KILLPIDS
 
 echo ">>>>> Test succeeded"
 exit 0
-
index 0ff9835e280f753fee9ffb003ee757bc66c17c0e..e569ef5a6df907ad1588a7e0e64ce07e4b5acf5f 100755 (executable)
@@ -419,7 +419,7 @@ EOMODS
        if test $RC = 0 ; then
                echo "ldapmodify should have failed ($RC)!"
                test $KILLSERVERS != no && kill -HUP $KILLPIDS
-               exit $RC
+               exit 1
        fi
 
        echo "Modifying a referral (should fail)..."
@@ -438,7 +438,7 @@ EOMODS
        if test $RC = 0 ; then
                echo "ldapmodify should have failed ($RC)!"
                test $KILLSERVERS != no && kill -HUP $KILLPIDS
-               exit $RC
+               exit 1
        fi
 
        echo "Renaming a referral (should fail)..."
@@ -456,7 +456,7 @@ EOMODS
        if test $RC = 0 ; then
                echo "ldapmodify should have failed ($RC)!"
                test $KILLSERVERS != no && kill -HUP $KILLPIDS
-               exit $RC
+               exit 1
        fi
 
        echo "Deleting a referral (should fail)..."
@@ -472,7 +472,7 @@ EOMODS
        if test $RC = 0 ; then
                echo "ldapmodify should have failed ($RC)!"
                test $KILLSERVERS != no && kill -HUP $KILLPIDS
-               exit $RC
+               exit 1
        fi
 
        echo "Adding a referral..."
@@ -690,4 +690,3 @@ test $KILLSERVERS != no && kill -HUP $KILLPIDS
 
 echo ">>>>> Test succeeded"
 exit 0
-
index e8f77b227729dd99bc3545efa4f140c7661826cb..8146f8299ecc87ba91770f4b7595b59145d33f6f 100755 (executable)
@@ -17,7 +17,7 @@ echo "running defines.sh"
 . $SRCDIR/scripts/defines.sh
 
 if test ! -x $SLURPD ; then
-       echo ">>>>> $SLURPD is not executable or do not exist."
+       echo ">>>>> $SLURPD is not executable or does not exist."
        echo ">>>>> Test skipped."
        exit 0
 fi
index e9781843a0cf1de1ea3e58150dba76f24aa64391..8fcd5b2ec6a750ddc1430496d927fd1b54e86cc9 100755 (executable)
@@ -20,7 +20,7 @@ echo "running defines.sh"
 # Test default referral
 #
 
-mkdir $TESTDIR $DBDIR1 $DBDIR2
+mkdir -p $TESTDIR $DBDIR1 $DBDIR2
 
 echo "Running slapadd to build slapd database..."
 . $CONFFILTER $BACKEND $MONITORDB < $CONF > $CONF1
index 9abf3d93c2ef004a2616983a399cac013f959820..f80e00cea007207fa181cfb5c1cc870536d27a35 100755 (executable)
@@ -69,7 +69,7 @@ RC=$?
 if test $RC = 0 ; then
        echo "ldappasswd unexpectantly passed ($RC)! old empty"
        test $KILLSERVERS != no && kill -HUP $KILLPIDS
-       exit $RC
+       exit 1
 fi
 $LDAPPASSWD -h $LOCALHOST -p $PORT1 \
        -w secret -a oldsecret -s "" \
@@ -78,7 +78,7 @@ RC=$?
 if test $RC = 0 ; then
        echo "ldappasswd unexpectantly passed ($RC)! new empty"
        test $KILLSERVERS != no && kill -HUP $KILLPIDS
-       exit $RC
+       exit 1
 fi
 $LDAPPASSWD -h $LOCALHOST -p $PORT1 \
        -w secret -a oldsecret -s newsecret \
@@ -87,7 +87,7 @@ RC=$?
 if test $RC = 0 ; then
        echo "ldappasswd unexpectantly passed ($RC)! wrong old"
        test $KILLSERVERS != no && kill -HUP $KILLPIDS
-       exit $RC
+       exit 1
 fi
 
 echo "Using ldappasswd (PASS 1)  ..."
index 4c39beb527ce3d4fab9295913b5b2f5f76afe7c4..c8326b8c2f43e69a828359f44ff333b385882af6 100755 (executable)
@@ -18,7 +18,7 @@ RCODE=10
 echo "running defines.sh"
 . $SRCDIR/scripts/defines.sh
 
-mkdir $TESTDIR $DBDIR1
+mkdir -p $TESTDIR $DBDIR1
 
 echo "Running slapadd to build slapd database..."
 . $CONFFILTER $BACKEND $MONITORDB < $RCONF > $CONF1
index 2aa89e47dccf57d8dcac64ac2171cb6d28d7acf7..3a599a7e1e45adaef207d3484abcfd2008f3063c 100755 (executable)
@@ -26,7 +26,7 @@ if test $SYNCPROV = syncprovno; then
        exit 0
 fi 
 
-mkdir $TESTDIR $DBDIR1 $DBDIR2 $DBDIR3 $DBDIR4 $DBDIR5 $DBDIR6
+mkdir -p $TESTDIR $DBDIR1 $DBDIR2 $DBDIR3 $DBDIR4 $DBDIR5 $DBDIR6
 
 #
 # Test replication:
index 777f0d66d10df9ad916fefb8da1fd5f2dbe94245..e9e5db579d3d30f420a2520ec35d5045640087c7 100755 (executable)
@@ -18,7 +18,7 @@ echo "running defines.sh"
 
 if test "$AC_WITH_TLS" != "yes" ; then
        echo "test disabled, requires --with-tls"
-       exit
+       exit 0
 fi
 
 mkdir -p $TESTDIR $DBDIR1
index 04109034e369287886c7f6297922d0d731bb3d94..2b3a6143accaccd6ef0e95d09aa0ecce89883168 100755 (executable)
@@ -111,7 +111,7 @@ RC=$?
 if test $RC = 0 ; then
        echo "Password expiration failed ($RC)!"
        test $KILLSERVERS != no && kill -HUP $KILLPIDS
-       exit $RC
+       exit 1
 fi
 
 COUNT=`grep "grace logins" $SEARCHOUT | wc -l`
@@ -206,7 +206,7 @@ RC=$?
 if test $RC = 0 ; then
        echo "ldapmodify failed ($RC)!"
        test $KILLSERVERS != no && kill -HUP $KILLPIDS
-       exit $RC
+       exit 1
 fi
 
 echo "Testing forced reset..."
@@ -235,7 +235,7 @@ RC=$?
 if test $RC = 0 ; then
        echo "Forced reset failed ($RC)!"
        test $KILLSERVERS != no && kill -HUP $KILLPIDS
-       exit $RC
+       exit 1
 fi
 
 COUNT=`grep "Operations are restricted" $SEARCHOUT | wc -l`
@@ -279,7 +279,7 @@ RC=$?
 if test $RC = 0 ; then
        echo "Safe modify test 1 failed ($RC)!"
        test $KILLSERVERS != no && kill -HUP $KILLPIDS
-       exit $RC
+       exit 1
 fi
 
 sleep 2
@@ -303,7 +303,7 @@ RC=$?
 if test $RC = 0 ; then
        echo "Length requirement test failed ($RC)!"
        test $KILLSERVERS != no && kill -HUP $KILLPIDS
-       exit $RC
+       exit 1
 fi
 COUNT=`grep "Password fails quality" $TESTOUT | wc -l`
 if test $COUNT != 1 ; then
@@ -329,7 +329,7 @@ RC=$?
 if test $RC = 0 ; then
        echo "Hashed length requirement test failed ($RC)!"
        test $KILLSERVERS != no && kill -HUP $KILLPIDS
-       exit $RC
+       exit 1
 fi
 COUNT=`grep "Password fails quality" $TESTOUT | wc -l`
 if test $COUNT != 1 ; then
index 93c0221f9e76063f37ae615ae2f8b0265350a63c..78d92ea0c7a8f5b180fccbbacd34108bf0d67510 100755 (executable)
@@ -84,7 +84,7 @@ case $RC in
                else
                        echo "...error: did not expect ldapsearch success ($RC)!"
                         test $KILLSERVERS != no && kill -HUP $KILLPIDS
-                        exit $RC
+                        exit 1
                 fi
        ;;
        *)
@@ -107,7 +107,7 @@ case $RC in
                else
                        echo "...error: did not expect ldapsearch success ($RC)!"
                         test $KILLSERVERS != no && kill -HUP $KILLPIDS
-                        exit $RC
+                        exit 1
                 fi
        ;;
        *)
@@ -130,13 +130,13 @@ case $RC in
                        if test "$COUNT" -gt "$SIZELIMIT" ; then
                                echo "...error: got $COUNT entries instead of the requested $SIZELIMIT"
                                test $KILLSERVERS != no && kill -HUP $KILLPIDS
-                               exit $RC
+                               exit 1
                        fi
                        echo "...didn't bump into the requested size limit ($SIZELIMIT; got $COUNT entries)"
                else
                        echo "...error: did not expect ldapsearch success ($RC)!"
                        test $KILLSERVERS != no && kill -HUP $KILLPIDS
-                       exit $RC
+                       exit 1
                fi
        ;;
        4)
@@ -174,13 +174,13 @@ case $RC in
                        if test "$COUNT" -gt "$SIZELIMIT" ; then
                                echo "...error: got $COUNT entries instead of the requested $SIZELIMIT"
                                test $KILLSERVERS != no && kill -HUP $KILLPIDS
-                               exit $RC
+                               exit 1
                        fi
                        echo "...didn't bump into the requested size limit ($SIZELIMIT; got $COUNT entries)"
                else
                        echo "...error: did not expect ldapsearch success ($RC)!"
                        test $KILLSERVERS != no && kill -HUP $KILLPIDS
-                       exit $RC
+                       exit 1
                fi
        ;;
        4)
@@ -219,7 +219,7 @@ case $RC in
                else
                        echo "...error: did not expect ldapsearch success ($RC)!"
                         test $KILLSERVERS != no && kill -HUP $KILLPIDS
-                        exit $RC
+                        exit 1
                 fi
        ;;
        3)
@@ -248,7 +248,7 @@ case $RC in
                else
                         echo "...error: did not expect ldapsearch success ($RC)!"
                         test $KILLSERVERS != no && kill -HUP $KILLPIDS
-                        exit $RC
+                        exit 1
                 fi
        ;;
        4)
@@ -280,13 +280,13 @@ case $RC in
                        if test "$COUNT" -gt "$SIZELIMIT" ; then
                                echo "...error: got $COUNT entries instead of the requested $SIZELIMIT"
                                test $KILLSERVERS != no && kill -HUP $KILLPIDS
-                               exit $RC
+                               exit 1
                        fi
                        echo "...didn't bump into either requested ($SIZELIMIT) or server-side size limit (got $COUNT entries)"
                else
                        echo "...error: did not expect ldapsearch success ($RC)!"
                        test $KILLSERVERS != no && kill -HUP $KILLPIDS
-                       exit $RC
+                       exit 1
                fi
        ;;
        4)
@@ -322,13 +322,13 @@ case $RC in
                        if test "$COUNT" -gt "$SIZELIMIT" ; then
                                echo "...error: got $COUNT entries instead of the requested $SIZELIMIT"
                                test $KILLSERVERS != no && kill -HUP $KILLPIDS
-                               exit $RC
+                               exit 1
                        fi
                        echo "...didn't bump into either requested ($SIZELIMIT) or server-side size limit (got $COUNT entries)"
                else
                        echo "...error: did not expect ldapsearch success ($RC)!"
                        test $KILLSERVERS != no && kill -HUP $KILLPIDS
-                       exit $RC
+                       exit 1
                fi
        ;;
        4)
@@ -364,13 +364,13 @@ case $RC in
                        if test "$COUNT" -gt "$SIZELIMIT" ; then
                                echo "...error: got $COUNT entries instead of the requested $SIZELIMIT"
                                test $KILLSERVERS != no && kill -HUP $KILLPIDS
-                               exit $RC
+                               exit 1
                        fi
                        echo "...didn't bump into either requested ($SIZELIMIT) or server-side size limit (got $COUNT entries)"
                else
                        echo "...error: did not expect ldapsearch success ($RC)!"
                        test $KILLSERVERS != no && kill -HUP $KILLPIDS
-                       exit $RC
+                       exit 1
                fi
        ;;
        4)
@@ -396,13 +396,13 @@ case $RC in
                        if test "$COUNT" -gt "$SIZELIMIT" ; then
                                echo "...error: got $COUNT entries instead of the requested $SIZELIMIT"
                                test $KILLSERVERS != no && kill -HUP $KILLPIDS
-                               exit $RC
+                               exit 1
                        fi
                        echo "...didn't bump into either requested ($SIZELIMIT) or server-side size limit (got $COUNT entries)"
                else
                        echo "...error: did not expect ldapsearch success ($RC)!"
                        test $KILLSERVERS != no && kill -HUP $KILLPIDS
-                       exit $RC
+                       exit 1
                fi
        ;;
        4)
@@ -444,7 +444,7 @@ case $RC in
                else
                        echo "...error: did not expect ldapsearch success ($RC)!"
                        test $KILLSERVERS != no && kill -HUP $KILLPIDS
-                       exit $RC
+                       exit 1
                fi
        ;;
        4)
@@ -479,7 +479,7 @@ case $RC in
                else
                        echo "...error: did not expect ldapsearch success ($RC)!"
                        test $KILLSERVERS != no && kill -HUP $KILLPIDS
-                       exit $RC
+                       exit 1
                fi
        ;;
        11)
@@ -508,7 +508,7 @@ case $RC in
                        echo "...error: did not expect ldapsearch success ($RC)!"
                fi
                test $KILLSERVERS != no && kill -HUP $KILLPIDS
-               exit $RC
+               exit 1
        ;;
        11)
                echo "...bumped into unchecked administrative limit"
@@ -534,7 +534,7 @@ case $RC in
                        echo "...error: did not expect ldapsearch success ($RC)!"
                fi
                test $KILLSERVERS != no && kill -HUP $KILLPIDS
-               exit $RC
+               exit 1
        ;;
        11)
                echo "...bumped into unchecked administrative limit"
@@ -559,7 +559,7 @@ case $RC in
                else
                        echo "...error: did not expect ldapsearch success ($RC)!"
                        test $KILLSERVERS != no && kill -HUP $KILLPIDS
-                       exit $RC
+                       exit 1
                fi
        ;;
        4)
@@ -591,7 +591,7 @@ case $RC in
                else
                        echo "...error: did not expect ldapsearch success ($RC)!"
                        test $KILLSERVERS != no && kill -HUP $KILLPIDS
-                       exit $RC
+                       exit 1
                fi
        ;;
        4)
@@ -623,7 +623,7 @@ case $RC in
                else
                        echo "...error: did not expect ldapsearch success ($RC)!"
                        test $KILLSERVERS != no && kill -HUP $KILLPIDS
-                       exit $RC
+                       exit 1
                fi
        ;;
        4)
@@ -655,7 +655,7 @@ case $RC in
                else
                        echo "...error: did not expect ldapsearch success ($RC)!"
                        test $KILLSERVERS != no && kill -HUP $KILLPIDS
-                       exit $RC
+                       exit 1
                fi
        ;;
        4)
@@ -687,7 +687,7 @@ case $RC in
                else
                        echo "...error: did not expect ldapsearch success ($RC)!"
                        test $KILLSERVERS != no && kill -HUP $KILLPIDS
-                       exit $RC
+                       exit 1
                fi
        ;;
        4)
@@ -718,7 +718,7 @@ case $RC in
                else
                        echo "...error: did not expect ldapsearch success ($RC)!"
                        test $KILLSERVERS != no && kill -HUP $KILLPIDS
-                       exit $RC
+                       exit 1
                fi
        ;;
        4)
@@ -781,7 +781,7 @@ case $RC in
                else
                         echo "...error: did not expect ldapsearch success ($RC)!"
                         test $KILLSERVERS != no && kill -HUP $KILLPIDS
-                        exit $RC
+                        exit 1
                 fi
        ;;
        *)
@@ -804,13 +804,13 @@ case $RC in
                         if test "$COUNT" -gt "$SIZELIMIT" ; then
                                 echo "...error: got $COUNT entries instead of the requested $SIZELIMIT"
                                 test $KILLSERVERS != no && kill -HUP $KILLPIDS
-                                exit $RC
+                                exit 1
                         fi
                         echo "...didn't bump into the requested size limit ($SIZELIMIT; got $COUNT entries)"
                 else
                         echo "...error: did not expect ldapsearch success ($RC)!"
                         test $KILLSERVERS != no && kill -HUP $KILLPIDS
-                        exit $RC
+                        exit 1
                 fi
        ;;
        4)
@@ -849,7 +849,7 @@ case $RC in
                else
                        echo "...error: did not expect ldapsearch success ($RC)!"
                         test $KILLSERVERS != no && kill -HUP $KILLPIDS
-                        exit $RC
+                        exit 1
                 fi
        ;;
        3)
@@ -878,7 +878,7 @@ case $RC in
                else
                        echo "...error: did not expect ldapsearch success ($RC)!"
                         test $KILLSERVERS != no && kill -HUP $KILLPIDS
-                        exit $RC
+                        exit 1
                fi
        ;;
        4)
@@ -910,13 +910,13 @@ case $RC in
                         if test "$COUNT" -gt "$SIZELIMIT" ; then
                                 echo "...error: got $COUNT entries instead of the requested $SIZELIMIT"
                                 test $KILLSERVERS != no && kill -HUP $KILLPIDS
-                                exit $RC
+                                exit 1
                         fi
                         echo "...didn't bump into either requested ($SIZELIMIT) or server-side size limit (got $COUNT entries)"
                 else
                         echo "...error: did not expect ldapsearch success ($RC)!"
                         test $KILLSERVERS != no && kill -HUP $KILLPIDS
-                        exit $RC
+                        exit 1
                 fi
        ;;
        4)
@@ -950,13 +950,13 @@ case $RC in
                         if test "$COUNT" -gt "$SIZELIMIT" ; then
                                 echo "...error: got $COUNT entries instead of the requested $SIZELIMIT"
                                 test $KILLSERVERS != no && kill -HUP $KILLPIDS
-                                exit $RC
+                                exit 1
                         fi
                         echo "...didn't bump into either requested ($SIZELIMIT) or server-side size limit (got $COUNT entries)"
                 else
                         echo "...error: did not expect ldapsearch success ($RC)!"
                         test $KILLSERVERS != no && kill -HUP $KILLPIDS
-                        exit $RC
+                        exit 1
                 fi
        ;;
        4)
@@ -990,13 +990,13 @@ case $RC in
                         if test "$COUNT" -gt "$SIZELIMIT" ; then
                                 echo "...error: got $COUNT entries instead of the requested $SIZELIMIT"
                                 test $KILLSERVERS != no && kill -HUP $KILLPIDS
-                                exit $RC
+                                exit 1
                         fi
                         echo "...didn't bump into either requested ($SIZELIMIT) or server-side size limit (got $COUNT entries)"
                 else
                         echo "...error: did not expect ldapsearch success ($RC)!"
                         test $KILLSERVERS != no && kill -HUP $KILLPIDS
-                        exit $RC
+                        exit 1
                 fi
        ;;
        4)
@@ -1034,13 +1034,13 @@ case $RC in
                         if test "$COUNT" -gt "$SIZELIMIT" ; then
                                 echo "...error: got $COUNT entries instead of the requested $SIZELIMIT"
                                 test $KILLSERVERS != no && kill -HUP $KILLPIDS
-                                exit $RC
+                                exit 1
                         fi
                         echo "...didn't bump into either requested ($SIZELIMIT) or server-side size limit (got $COUNT entries)"
                 else
                         echo "...error: did not expect ldapsearch success ($RC)!"
                         test $KILLSERVERS != no && kill -HUP $KILLPIDS
-                        exit $RC
+                        exit 1
                 fi
        ;;
        4)
@@ -1082,7 +1082,7 @@ case $RC in
                 else
                         echo "...error: did not expect ldapsearch success ($RC)!"
                         test $KILLSERVERS != no && kill -HUP $KILLPIDS
-                        exit $RC
+                        exit 1
                 fi
        ;;
        4)
@@ -1117,7 +1117,7 @@ case $RC in
                 else
                         echo "...error: did not expect ldapsearch success ($RC)!"
                         test $KILLSERVERS != no && kill -HUP $KILLPIDS
-                        exit $RC
+                        exit 1
                 fi
        ;;
 #      11)
@@ -1144,7 +1144,7 @@ case $RC in
                         echo "...error: did not expect ldapsearch success ($RC)!"
                 fi
                 test $KILLSERVERS != no && kill -HUP $KILLPIDS
-                exit $RC
+                exit 1
        ;;
        11)
                echo "...bumped into unchecked administrative limit"
@@ -1173,7 +1173,7 @@ case $RC in
                else
                        echo "...error: did not expect ldapsearch success ($RC)!"
                         test $KILLSERVERS != no && kill -HUP $KILLPIDS
-                        exit $RC
+                        exit 1
                 fi
        ;;
        4)
index f4e0a97f09470b0d0e49cbf98db9107c68696352..cda58d406a478d1124bb90362f6b00423f783e4c 100755 (executable)
@@ -20,8 +20,8 @@ echo "running defines.sh"
 ## Make sure that you turn on LDAP_COMP_MATCH in slapd source codes
 ## and --enable-modules  is configured yes
 if test "$AC_WITH_MODULES_ENABLED" != "yes" ; then
-        echo "dynamic module disabled "
-        exit
+        echo "dynamic module disabled, test skipped"
+        exit 0
 fi
 
 mkdir -p $TESTDIR $DBDIR1
@@ -38,7 +38,8 @@ if test $RC != 0 ; then
        echo "slapadd failed ($RC)!"
        echo "Be sure to have a certificate module in tests/data/comp_libs "
        echo "The module is in openldap/contrib/slapd-modules/comp_match"
-       exit 
+       echo "Test skipped."
+       exit 0
 fi
 
 echo "Running slapindex to index slapd database..."
index f7af23ca3e2240614a09cd026706c5b0a62313d4..b42f104133f65cb646a3c7b29985389c89158255 100755 (executable)
@@ -26,7 +26,7 @@ if test $TRANSLUCENT = translucentno ; then
 fi 
 
 if test $BACKEND = ldbm ; then
-       echo "Translucent Proxy overlay not qualified for use with LDBM, skipping"
+       echo "Translucent Proxy overlay not qualified for use with LDBM, test skipped"
        exit 0
 fi
 
@@ -168,7 +168,7 @@ if test $RC != 50 ; then
        echo "ldapadd failed ($RC), expected INSUFFICIENT ACCESS!"
        grep "$FAILURE" $TESTOUT
        test $KILLSERVERS != no && kill -HUP $KILLPIDS
-       exit $RC
+       exit 1
 fi
 
 echo "Testing add: valid local record, no_glue..."
@@ -181,7 +181,7 @@ if test $RC != 32 ; then
        echo "ldapadd failed ($RC), expected NO SUCH OBJECT!"
        grep "$FAILURE" $TESTOUT
        test $KILLSERVERS != no && kill -HUP $KILLPIDS
-       exit $RC
+       exit 1
 fi
 
 echo "Testing modrdn: valid local record, no_glue..."
@@ -194,7 +194,7 @@ if test $RC != 32 ; then
        echo "ldapmodrdn failed ($RC), expected NO SUCH OBJECT!"
        grep "$FAILURE" $TESTOUT
        test $KILLSERVERS != no && kill -HUP $KILLPIDS
-       exit $RC
+       exit 1
 fi
 
 echo "Shutting down local slapd..."
@@ -274,7 +274,7 @@ RC=$?
 if test $RC != 6 ; then
        echo "ldapcompare failed ($RC), expected TRUE!"
        test $KILLSERVERS != no && kill -HUP $KILLPIDS
-       exit $RC
+       exit 1
 fi
 
 echo "Testing compare: valid remote..."
@@ -286,7 +286,7 @@ RC=$?
 if test $RC != 6 ; then
        echo "ldapcompare failed ($RC), expected TRUE!"
        test $KILLSERVERS != no && kill -HUP $KILLPIDS
-       exit $RC
+       exit 1
 fi
 
 echo "Testing compare: bogus local..."
@@ -298,7 +298,7 @@ RC=$?
 if test $RC != 5 ; then
        echo "ldapcompare failed ($RC), expected FALSE!"
        test $KILLSERVERS != no && kill -HUP $KILLPIDS
-       exit $RC
+       exit 1
 fi
 
 echo "Testing compare: bogus remote..."
@@ -310,7 +310,7 @@ RC=$?
 if test $RC != 5 ; then
        echo "ldapcompare failed ($RC), expected FALSE!"
        test $KILLSERVERS != no && kill -HUP $KILLPIDS
-       exit $RC
+       exit 1
 fi
 
 echo "Testing modify: nonexistent record..."
@@ -329,7 +329,7 @@ if test $RC != 32 ; then
        echo "ldapmodify failed ($RC), expected NO SUCH OBJECT!"
        grep "$FAILURE" $TESTOUT
        test $KILLSERVERS != no && kill -HUP $KILLPIDS
-       exit $RC
+       exit 1
 fi
 
 echo "Testing modify: valid local record, nonexistent attribute..."
@@ -428,7 +428,7 @@ if test $RC != 16 ; then
        echo "ldapmodify failed ($RC), expected NO SUCH ATTRIBUTE!"
        grep "$FAILURE" $TESTOUT
        test $KILLSERVERS != no && kill -HUP $KILLPIDS
-       exit $RC
+       exit 1
 fi
 
 echo "Testing delete: valid local record, nonexistent attribute..."
@@ -459,7 +459,7 @@ if test $RC != 50 ; then
        echo "ldapmodrdn failed ($RC), expected INSUFFICIENT ACCESS!"
        grep "$FAILURE" $TESTOUT
        test $KILLSERVERS != no && kill -HUP $KILLPIDS
-       exit $RC
+       exit 1
 fi
 
 echo "Testing modrdn: valid local record..."
@@ -489,7 +489,7 @@ if test $RC != 50 ; then
        echo "ldapadd failed ($RC), expected INSUFFICIENT ACCESS!"
        grep "$FAILURE" $TESTOUT
        test $KILLSERVERS != no && kill -HUP $KILLPIDS
-       exit $RC
+       exit 1
 fi
 
 echo "Testing delete: valid local record..."
@@ -523,7 +523,7 @@ if test $RC != 32 ; then
        echo "ldapmodify failed ($RC), expected NO SUCH OBJECT!"
        grep "$FAILURE" $TESTOUT
        test $KILLSERVERS != no && kill -HUP $KILLPIDS
-       exit $RC
+       exit 1
 fi
 
 echo "Testing delete: nonexistent local record, nonexistent attribute..."
@@ -568,7 +568,7 @@ if test $RC != 16 ; then
        echo "ldapmodify failed ($RC), expected NO SUCH ATTRIBUTE!"
        grep "$FAILURE" $TESTOUT
        test $KILLSERVERS != no && kill -HUP $KILLPIDS
-       exit $RC
+       exit 1
 fi
 
 echo "Testing modify: valid remote record, combination add-modify-delete..."
@@ -667,7 +667,7 @@ if test $RC != 19 ; then
        echo "ldapmodify failed ($RC), expected CONSTRAINT VIOLATION!"
        grep "$FAILURE" $TESTOUT
        test $KILLSERVERS != no && kill -HUP $KILLPIDS
-       exit $RC
+       exit 1
 fi
 
 echo "Testing strict mode delete: nonexistent remote attribute..."
@@ -685,7 +685,7 @@ if test $RC != 19 ; then
        echo "ldapmodify failed ($RC), expected CONSTRAINT VIOLATION!"
        grep "$FAILURE" $TESTOUT
        test $KILLSERVERS != no && kill -HUP $KILLPIDS
-       exit $RC
+       exit 1
 fi
 
 echo "Testing strict mode modify: combination add-modify-delete..."
@@ -709,7 +709,7 @@ if test $RC != 19 ; then
        echo "ldapmodify failed ($RC), expected CONSTRAINT VIOLATION!"
        grep "$FAILURE" $TESTOUT
        test $KILLSERVERS != no && kill -HUP $KILLPIDS
-       exit $RC
+       exit 1
 fi
 
 test $KILLSERVERS != no && kill -HUP $KILLPIDS
index b802c1372baf2ff293cd375416e26f21467d1808..c1d81cddfd0042ebcec9b128720d7076bc04e34a 100755 (executable)
@@ -25,7 +25,7 @@ fi
 
 # to be removed some time...
 if test "x$TEST_META" = "xno" ; then
-       echo "### disabled by \"TEST_META=no\"; unset TEST_META to re-enable"
+       echo '### Test disabled by "TEST_META=no"; unset TEST_META to re-enable'
        echo ""
        exit 0
 else
@@ -214,4 +214,3 @@ fi
 
 echo ">>>>> Test succeeded"
 exit 0
-
index a3482aa3b95d861c36e59ab2f75b622cf6abe242..54bb1c0f7b698e1317cdcc96fb166d583f7e80fd 100755 (executable)
@@ -29,7 +29,7 @@ echo "running defines.sh"
 . $SRCDIR/scripts/defines.sh
 
 if test "$ACI" = "acino" ; then
-       echo "ACI not enabled; skipping..."
+       echo "ACI not enabled, test skipped"
        exit 0
 fi